Anonymous Login
2019-09-22 03:03 PDT

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0001375Pending RequestsPDF Generationpublic2014-06-14 19:51
Reporterdlw1660 
Assigned Tocaseydk 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionduplicate 
Product Version 
Target VersionFixed in Version 
Summary0001375: PDF Gantt Chart only showing first 22 task
DescriptionWhen Large projects gantt charts are printed to PDF only first 22 task are displayed.

the task also are not sorted the same as the display looks like the PDF id sorted by end date while the display is sorted by start date

TagsNo tags attached.
Attached Files

-Relationships
duplicate of 0001257closedcaseydk v3.2 Release Gantt chart print to PDF only shows the first 24 tasks 
has duplicate 0001462closedcaseydk v3.1 Release Gantt chart only shows first 22 rows when printed to PDF 
+Relationships

-Notes

~0003012

caseydk (administrator)

The current work around is to click "full project" and use the image instead of the PDF. If a PDF is absolutely necessary, use the image and "Print as PDF" to get the desired file.

This is a little more flexible as you can specify the date range to display.

~0003244

dlw1660 (reporter)

I understand this work around might be more flexible however this work around has been in place for a long long time. it was first reported long before the 3.0 release and it keeps being moved to next release where it is not fixed. I have people using this that have a hard time with the work around and it also doesn't give as professional looking result as it does when running it the way it designed to work. This now affects all gantt charts as the header information is down over part of the chart itself

~0003427

caseydk (administrator)

Closing this in favor of the earlier issue 0001257

~0003486

caseydk (administrator)

Finally resolved this one for v4.0 but you should be able to just grab this patch:
https://github.com/web2project/web2project/commit/c7c31631172062124c55107df92b88847ea68e61

My test projects had 22, 105, and 364 tasks and each worked as expected.
+Notes

-Issue History
Date Modified Username Field Change
2013-09-23 02:46 dlw1660 New Issue
2013-09-26 08:08 caseydk Note Added: 0003012
2013-09-26 08:08 caseydk Status new => acknowledged
2013-10-31 06:18 caseydk Project v3.0 Release => v3.1 Release
2013-11-21 14:27 caseydk Project v3.1 Release => Pending Requests
2014-01-21 17:56 caseydk Target Version => 4.x
2014-02-24 13:57 caseydk Project Pending Requests => v4.0 Release (Planning)
2014-02-25 23:18 caseydk Relationship added has duplicate 0001462
2014-02-26 03:47 dlw1660 Note Added: 0003244
2014-03-30 22:10 caseydk Category General => PDF Generation
2014-03-30 22:10 caseydk Target Version 4.x =>
2014-06-10 21:44 caseydk Relationship added duplicate of 0001257
2014-06-10 21:44 caseydk Project v4.0 Release (Planning) => Pending Requests
2014-06-10 21:44 caseydk Note Added: 0003427
2014-06-10 21:44 caseydk Status acknowledged => closed
2014-06-10 21:44 caseydk Assigned To => caseydk
2014-06-10 21:44 caseydk Resolution open => duplicate
2014-06-14 19:51 caseydk Note Added: 0003486
+Issue History